petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFESetFromOptions

sets parameters in a PetscFE from the options database

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetFromOptions(PetscFE fem)

Collective on fem

### Input Parameter

fem -the PetscFE object to set options for

### Options Database

| -petscfe_num_blocks | - the number of cell blocks to integrate concurrently
| -petscfe_num_batches | - the number of cell batches to integrate serially

### See Also

PetscFEView()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages